{% extends 'base.html' %}
{% load static %}

{% block title %}Program {% endblock title %}

{% block styling %}
<!-- Profile styles -->
<link rel="stylesheet" type="text/css" href="{% static 'program/daftar_program.css' %}">
{% endblock styling %}

{% block content %}
<div class='container'>
    <div class='title'>
        <h1>Produk Pelatihan</h1>
    </div>

    <div class="row">
        {% load val_config %}
        {% for produk, programs in all_produk.items %}
            
            <button class="btn btn-produk btn-block" type="button" data-toggle="collapse" data-target="#{{ produk|html_id }}" aria-expanded="false" aria-controls="program-prod-1">
                {{produk}}
            </button>
            <div class="collapse multi-collapse" id="{{ produk|html_id }}" style="width: 100%;">
                {% for program, pelatihans in programs.items %}
                <button class="btn btn-program btn-block" type="button" data-toggle="collapse" data-target="#{{ program|html_id }}" aria-expanded="false" aria-controls="pelatihan-prog-1">
                    {{program}}
                </button>
                    {% for pelatihan in pelatihans %}
                    <div class="collapse multi-collapse" id="{{ program|html_id }}">
                        <a class="btn-pelatihan btn btn-block" href="#programdetail" role="button" data-toggle="modal"
                        id="{{forloop.counter}}{{pelatihan}}"
                        judul="{{pelatihan}}"
                        pelatihan_url="{{ pelatihan.detail_url }}"
                        pelatihan_biaya="{{ pelatihan.biaya  }}"
                        kelas_id = "{{ pelatihan|get_kelas }}"
                        kelas_aktif="{{ pelatihan|get_kelas_aktif }}"
                        onclick="modifyPopUpModal(this)">
                            <i class='hidden-arrow fas fa-angle-right'></i>&nbsp;&nbsp;{{pelatihan}}
                        </a>
                    </div>
                    {% endfor %}
                {% endfor %}
            </div>
        {% endfor %}
    </div>
</div>

<!-- Program-Detail Modal -->
<div class="modal fade" id="programdetail" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true" style="color:black">
    <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLongTitle">Detail Program</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        <div class="modal-body">
            Detail Program:
            &nbsp;&nbsp;<p><a href='#' id="detail_url">Info lebih lengkap dapat dilihat di link ini.</a></p>
            <br>Biaya:
            &nbsp;&nbsp;<h5 id="biaya"></h5>
            <br>Status Kelas:
            &nbsp;&nbsp;<h5 id="status_kelas"></h5>
            {% if not user.is_authenticated %}
            <p style='color:red; font-size: 13px; text-align: end;' id="warn-text">*masuk untuk mendaftar pelatihan</p>
            {% endif %}
        </div>
        <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Batal</button>
            {% if user.is_authenticated %}
            <form method="post" action="{% url 'daftar-pelatihan' %}">
                {% csrf_token %}
                <input type="hidden" id="kelas-input" name="id_kelas" value=""/>
                <input type="hidden" name="id_peserta" value="{{ peserta_obj.id }}"/>
                <button class="btn btn-daftar" type="submit" style="background-color:#020865; color:white">Daftar</button>                
            </form>
            {% else %}
                <button class="btn disabled btn-daftar" style="background-color:#020865; color:white">Daftar</button>
            {% endif %}
        </div>
    </div>
    </div>
</div>

 {% endblock content %}
 
 {% block customScript %}
 <script type="text/javascript">
    function modifyPopUpModal(div) {
      var judul = div.getAttribute("judul");
      var detail_url = div.getAttribute("pelatihan_url");
      var biaya = div.getAttribute("pelatihan_biaya");
      var status_kelas = div.getAttribute("kelas_aktif");
      var id_kelas = div.getAttribute("kelas_id");

      $(".modal-title").text(judul);
      $("#detail_url").attr("href", detail_url);
      if (biaya == "None") {
        $("#biaya").text("Lihat di detail");
      }else if (biaya > 0) {
        $("#biaya").text("Rp"+biaya+",00");
      }
      $("#status_kelas").text(status_kelas);
      if (status_kelas == "Tidak aktif"){
        $(".btn-daftar").addClass("disabled");
        $("#warn-text").text("*Kelas masih belum tersedia");
      }else{
        $("#kelas-input").attr("value", id_kelas)
        $("#warn-text").text("*masuk untuk mendaftar pelatihan");
      }

    //   $('#programdetail').modal('show');
     };
 
 </script>
 {% endblock customScript %}